> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enad.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List products

> Retrieves a paginated list of products with extensive filtering and sorting options. Supports filtering by categories, collections, tags, attributes, brands, markets, status, product numbers, dates, and more. Returns products with all related data including variants, prices, and market status.



## OpenAPI

````yaml /swagger/management-api.json get /api/v1/{team_slug}/{app_slug}/products
openapi: 3.0.0
info:
  contact:
    email: support@enad.io
    name: API support
    url: http://enad.io/support
  description: This is the documentation for Public API v1
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://enad.io/terms/
  title: Public API
  version: '1.0'
servers:
  - url: //api.enad.io
security: []
paths:
  /api/v1/{team_slug}/{app_slug}/products:
    get:
      tags:
        - Products
      summary: List products
      description: >-
        Retrieves a paginated list of products with extensive filtering and
        sorting options. Supports filtering by categories, collections, tags,
        attributes, brands, markets, status, product numbers, dates, and more.
        Returns products with all related data including variants, prices, and
        market status.
      parameters:
        - description: Page number (default is 1)
          in: query
          name: page
          schema:
            type: integer
        - description: Amount of products per page. Minimum 0 and max 100 (default is 20)
          in: query
          name: per-page
          schema:
            type: integer
        - description: App slug
          in: path
          name: app_slug
          required: true
          schema:
            type: string
        - description: Team slug
          in: path
          name: team_slug
          required: true
          schema:
            type: string
        - description: Filter by category URI
          in: query
          name: categories
          style: form
          explode: false
          schema:
            items:
              type: string
            type: array
        - description: Filter by collection URI
          in: query
          name: collections
          style: form
          explode: false
          schema:
            items:
              type: string
            type: array
        - description: >-
            Filter by attributes. The format should be
            `template_key/attribute_key`. e.g `colors/black`
          in: query
          name: attributes
          style: form
          explode: false
          schema:
            items:
              type: string
            type: array
        - description: Filter by brand name
          in: query
          name: brands
          style: form
          explode: false
          schema:
            items:
              type: string
            type: array
        - description: >-
            Filter by market slugs (commercial availability - products with
            variant prices in these markets)
          in: query
          name: markets
          style: form
          explode: false
          schema:
            items:
              type: string
            type: array
        - description: Search on product name
          in: query
          name: search
          schema:
            type: string
        - description: >-
            Filter by exact product number/SKU (case-insensitive, supports
            multiple values)
          in: query
          name: product-number
          style: form
          explode: false
          schema:
            items:
              type: string
            type: array
        - description: Search by status, active | inactive | draft | incomplete
          in: query
          name: status
          style: form
          explode: false
          schema:
            items:
              type: string
            type: array
        - description: Sort order. Should be one of ASC or DESC. Default DESC
          in: query
          name: sort-order
          schema:
            type: string
        - description: >-
            The key to sort on. Can be one of `product-name`, `product-number`,
            `created-at`, `updated-at`, `status`, `category`, `tag`,
            `collection`. (Default is `created_at`). When sorting by `category`,
            `tag`, or `collection` order, you must also filter by a single
            corresponding item.
          in: query
          name: sort-key
          schema:
            type: string
        - description: Filter by tag keys
          in: query
          name: tags
          style: form
          explode: false
          schema:
            items:
              type: string
            type: array
        - description: >-
            Filter by smart-listing slug(s). A product matches if any variant
            belongs to one of these smart-listings
          in: query
          name: smart-listing
          style: form
          explode: false
          schema:
            items:
              type: string
            type: array
        - description: >-
            Filter by static-listing slug(s). A product matches if any variant
            belongs to one of these static-listings
          in: query
          name: static-listing
          style: form
          explode: false
          schema:
            items:
              type: string
            type: array
        - description: >-
            Only show products which don't follow the publishing rules for the
            specific app
          in: query
          name: dont-match-publishing-rules
          schema:
            type: boolean
        - description: ISO 8601 date. Fetch products created before this date.
          in: query
          name: created-at-before
          schema:
            type: string
        - description: ISO 8601 date. Fetch products created after this date.
          in: query
          name: created-at-after
          schema:
            type: string
        - description: ISO 8601 date. Fetch products updated before this date.
          in: query
          name: updated-at-before
          schema:
            type: string
        - description: ISO 8601 date. Fetch products updated after this date.
          in: query
          name: updated-at-after
          schema:
            type: string
        - description: Filter by whether product description exists.
          in: query
          name: has-description
          schema:
            type: boolean
        - description: Filter by substring in description.
          in: query
          name: description-includes
          schema:
            type: string
        - description: Filter by whether any product translations exist.
          in: query
          name: has-translations
          schema:
            type: boolean
        - description: >-
            Filter by products that have a translation in the given locale (e.g.
            'en'). Combines with has-translations.
          in: query
          name: has-translations-for-locale
          schema:
            type: string
        - description: Filter by whether any product relation exist.
          in: query
          name: has-product-relation
          schema:
            type: boolean
        - description: Filter on a specific product relation type
          in: query
          name: product-relation-type
          schema:
            type: string
        - description: >-
            Filter by marketing status (active, inactive, draft, incomplete,
            archived). Can be combined with product-market-status-market and/or
            product-market-status-store-group
          in: query
          name: product-market-status
          style: form
          explode: false
          schema:
            items:
              type: string
            type: array
        - description: >-
            Filter products by marketing status in specific market(s). Requires
            product-market-status to be specified
          in: query
          name: product-market-status-market
          style: form
          explode: false
          schema:
            items:
              type: string
            type: array
        - description: >-
            Filter products by marketing status in specific store group/channel.
            Requires product-market-status to be specified
          in: query
          name: product-market-status-store-group
          schema:
            type: string
        - description: Filter by product ids
          in: query
          name: product-ids
          style: form
          explode: false
          schema:
            items:
              type: string
            type: array
        - description: Filter products that have no categories
          in: query
          name: no-categories
          schema:
            type: boolean
        - description: Filter products that have no variants
          in: query
          name: no-variants
          schema:
            type: boolean
        - description: >-
            Filter products that are members of the given channel (UUID). Each
            product response includes its channel_statuses memberships when
            present.
          in: query
          name: channel-id
          schema:
            type: string
        - description: >-
            Filter products in the given channel by status (active or
            incomplete). Requires channel-id.
          in: query
          name: channel-status
          schema:
            type: string
        - description: >-
            Exclude products in any collection; supports multiple collection URI
            values
          in: query
          name: not-collections
          style: form
          explode: false
          schema:
            items:
              type: string
            type: array
        - description: >-
            Exclude products matching attributes. Format
            `template_key/attribute_key` e.g `colors/black`
          in: query
          name: not-attributes
          style: form
          explode: false
          schema:
            items:
              type: string
            type: array
        - description: Exclude products whose brand (or series parent) name matches
          in: query
          name: not-brands
          style: form
          explode: false
          schema:
            items:
              type: string
            type: array
        - description: Exclude products with variant prices in these market slugs
          in: query
          name: not-markets
          style: form
          explode: false
          schema:
            items:
              type: string
            type: array
        - description: >-
            Exclude products by exact product number/SKU (case-insensitive,
            supports multiple values)
          in: query
          name: not-product-number
          style: form
          explode: false
          schema:
            items:
              type: string
            type: array
        - description: Exclude products with these statuses
          in: query
          name: not-status
          style: form
          explode: false
          schema:
            items:
              type: string
            type: array
        - description: Exclude products tagged with these tag keys
          in: query
          name: not-tags
          style: form
          explode: false
          schema:
            items:
              type: string
            type: array
        - description: Exclude products with any variant in these smart-listing slugs
          in: query
          name: not-smart-listing
          style: form
          explode: false
          schema:
            items:
              type: string
            type: array
        - description: Exclude products with any variant in these static-listing slugs
          in: query
          name: not-static-listing
          style: form
          explode: false
          schema:
            items:
              type: string
            type: array
        - description: >-
            Exclude products whose description contains this substring.
            NULL/empty descriptions are kept.
          in: query
          name: not-description-includes
          schema:
            type: string
        - description: >-
            Exclude products that have a translation in the given locale (e.g.
            'en').
          in: query
          name: not-has-translations-for-locale
          schema:
            type: string
        - description: Exclude products whose product relation matches the given type
          in: query
          name: not-product-relation-type
          schema:
            type: string
        - description: >-
            Exclude products with marketing status (active, inactive, draft,
            incomplete, archived). Can be combined with
            not-product-market-status-market and/or
            not-product-market-status-store-group
          in: query
          name: not-product-market-status
          style: form
          explode: false
          schema:
            items:
              type: string
            type: array
        - description: >-
            Exclude products with marketing status in specific market(s).
            Requires not-product-market-status to be specified
          in: query
          name: not-product-market-status-market
          style: form
          explode: false
          schema:
            items:
              type: string
            type: array
        - description: >-
            Exclude products with marketing status in a specific store
            group/channel. Requires not-product-market-status to be specified
          in: query
          name: not-product-market-status-store-group
          schema:
            type: string
        - description: Exclude products with these product ids
          in: query
          name: not-product-ids
          style: form
          explode: false
          schema:
            items:
              type: string
            type: array
        - description: Exclude products that are members of the given channel (UUID)
          in: query
          name: not-channel-id
          style: form
          explode: false
          schema:
            items:
              type: string
            type: array
        - description: >-
            Exclude products in the given channel by status (active or
            incomplete). Requires not-channel-id.
          in: query
          name: not-channel-status
          schema:
            type: string
      responses:
        '200':
          description: Product list
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/internal_pkg_webserver_v1.OkResponseProductList
        '400':
          description: Invalid query parameter
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
      security:
        - BearerAuth: []
components:
  schemas:
    internal_pkg_webserver_v1.OkResponseProductList:
      properties:
        data:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Product
          type: array
        success:
          type: boolean
        total:
          type: integer
        total_pages:
          type: integer
      type: object
    internal_pkg_webserver_v1.ErrorMessage:
      properties:
        details:
          items:
            type: string
          type: array
        message:
          type: string
        success:
          type: boolean
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.Product:
      properties:
        attributes:
          description: Product attributes
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Attribute
          type: array
        brand:
          allOf:
            - $ref: >-
                #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.ProductBrand
          description: Brand of the product
        categories:
          description: Associated categories
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.ProductCategory
          type: array
        channel_statuses:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.ProductChannelStatus
          type: array
        collections:
          description: Associated collections
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.ProductCollection
          type: array
        created_at:
          description: Creation timestamp
          type: string
        custom:
          additionalProperties:
            type: string
          type: object
        description:
          description: Description of the product
          type: string
        exclude_from_feeds:
          description: If the products should exist in feeds or not
          type: boolean
        files:
          description: Product files
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.File
          type: array
        html_description:
          description: Html description
          type: string
        html_short_description:
          description: Html short description
          type: string
        id:
          description: Product ID
          type: string
        images:
          description: Images of the product
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.ImageWithPriority
          type: array
        market_status:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.MarketStatus
          type: array
        markets:
          description: Associated markets
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Market
          type: array
        meta_description:
          description: Meta description for SEO
          type: string
        meta_title:
          description: Meta title for SEO
          type: string
        package_dimensions:
          allOf:
            - $ref: >-
                #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Dimensions
          description: The package dimensions
        product_dimensions:
          allOf:
            - $ref: >-
                #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Dimensions
          description: The products dimensions
        product_name:
          description: VariantName of the product
          type: string
        product_number:
          description: Product number
          type: string
        product_type:
          description: Product type
          type: string
        redirects:
          description: Product redirects
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Redirects
          type: array
        relations:
          description: Product relations
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Relation
          type: array
        schedules:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Job
          type: array
        short_description:
          description: Short description of the product
          type: string
        slug:
          description: Slug for the product
          type: string
        source_app_id:
          type: string
        source_id:
          type: string
        status:
          description: Status of the product
          type: string
        tags:
          description: Product tags
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.ProductTag
          type: array
        tax_group_id:
          description: The id of the tax group
          type: string
        third_part_links:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.ThirdPartyLink
          type: array
        translations:
          allOf:
            - $ref: >-
                #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.ProductTranslations
          description: Product translations
        updated_at:
          description: Last updated timestamp
          type: string
        variant_groups:
          description: Variant groups with images, attributes, videos
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.VariantGroup
          type: array
        variants:
          description: Product variants
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Variant
          type: array
        videos:
          description: Videos of the product
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Video
          type: array
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.Attribute:
      properties:
        created_at:
          type: string
        description:
          type: string
        filterable:
          type: boolean
        id:
          type: string
        key:
          type: string
        name:
          type: string
        template_key:
          type: string
        template_name:
          type: string
        translatable:
          type: boolean
        translations:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.AttributeTranslations
        updated_at:
          type: string
        values:
          additionalProperties:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.AttributeValue
          type: object
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.ProductBrand:
      properties:
        address:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.BrandAddress
        email:
          type: string
        id:
          type: string
        name:
          type: string
        series:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.ProductSeries
        slug:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.ProductCategory:
      properties:
        attributes:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Attribute
          type: array
        children:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Category
          type: array
        cover_url:
          type: string
        created_at:
          type: string
        google_product_category_id:
          type: string
        id:
          type: string
        is_main_category:
          type: boolean
        name:
          type: string
        order:
          type: integer
        parent_id:
          type: string
        redirects:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Redirects
          type: array
        slug:
          type: string
        sort_order:
          description: Used for ordering categories themselves
          type: integer
        status:
          type: string
        translations:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.CategoryTranslations
        updated_at:
          type: string
        uri:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.ProductChannelStatus:
      properties:
        channel_id:
          type: string
        channel_slug:
          type: string
        status:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.ProductCollection:
      properties:
        children:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Collection
          type: array
        created_at:
          type: string
        id:
          type: string
        order:
          type: integer
        parent_id:
          type: string
        redirects:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Redirects
          type: array
        slug:
          type: string
        status:
          enum:
            - active
            - inactive
            - draft
          type: string
        title:
          type: string
        translations:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.CollectionTranslation
        updated_at:
          type: string
        uri:
          type: string
      required:
        - slug
        - status
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.File:
      properties:
        attributes:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Attribute
          type: array
        created_at:
          type: string
        folder_id:
          type: string
        id:
          type: string
        public:
          type: boolean
        title:
          type: string
        translations:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.FileTranslation
        type:
          type: string
        updated_at:
          type: string
        url:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.ImageWithPriority:
      properties:
        alt:
          type: string
        app_id:
          type: string
        attributes:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Attribute
          type: array
        blurhash:
          type: string
        copyright:
          type: string
        custom:
          additionalProperties:
            type: string
          type: object
        folder_id:
          type: string
        id:
          type: string
        parent_id:
          type: string
        priority:
          type: integer
        public:
          type: boolean
        source_app_id:
          type: string
        source_id:
          type: string
        status:
          type: string
        title:
          type: string
        translations:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.ImageTranslation
        url:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.MarketStatus:
      properties:
        created_at:
          type: string
        market_id:
          type: string
        market_slug:
          type: string
        status:
          type: string
        store_group_id:
          type: string
        store_group_slug:
          type: string
        updated_at:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.Market:
      properties:
        active:
          type: boolean
        country_codes:
          items:
            type: string
          type: array
        created_at:
          type: string
        currency_code:
          type: string
        id:
          type: string
        locale:
          type: string
        name:
          type: string
        slug:
          type: string
        updated_at:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.Dimensions:
      properties:
        capacity_milliliter:
          description: the capacity in milliliter
          minimum: 0
          type: integer
        depth:
          description: The products depth in millimeter
          minimum: 0
          type: integer
        diameter:
          description: the products diameter in millimeter
          minimum: 0
          type: integer
        height:
          description: The products height in millimeter
          minimum: 0
          type: integer
        length:
          description: The products length in millimeter
          minimum: 0
          type: integer
        weight:
          description: The products weight in grams
          minimum: 0
          type: integer
        width:
          description: The products width in millimeter
          minimum: 0
          type: integer
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.Redirects:
      properties:
        id:
          type: string
        item_id:
          type: string
        locale:
          type: string
        new_slug:
          type: string
        old_slug:
          type: string
        type:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.RedirectType
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.Relation:
      properties:
        direction:
          type: string
        id:
          type: string
        primary_product_id:
          type: string
        products:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.RelationProduct
          type: array
        title:
          type: string
        type:
          type: string
        type_id:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.Job:
      properties:
        add_category_names:
          items:
            type: string
          type: array
        add_collection_names:
          items:
            type: string
          type: array
        add_tag_names:
          items:
            type: string
          type: array
        execute_at:
          description: Date when the job should run
          type: string
        finished_at:
          description: If a job is finished will this timestamp be filled
          type: string
        group_id:
          type: string
        id:
          type: string
        item_id:
          type: string
        item_name:
          type: string
        item_type:
          type: string
        remove_category_names:
          items:
            type: string
          type: array
        remove_collection_names:
          items:
            type: string
          type: array
        remove_tag_names:
          items:
            type: string
          type: array
        to_amount_cents_with_tax:
          type: integer
        to_market_id:
          type: string
        to_market_status:
          type: string
        to_on_sale:
          type: boolean
        to_sale_amount_cents_with_tax:
          type: integer
        to_start_sale_timestamp:
          type: string
        to_status:
          type: string
        to_stop_sale_timestamp:
          type: string
        to_store_group_id:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.ProductTag:
      properties:
        attributes:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Attribute
          type: array
        created_at:
          type: string
        filterable:
          type: boolean
        id:
          type: string
        key:
          type: string
        markets:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Market
          type: array
        name:
          type: string
        order:
          type: integer
        schedules:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Job
          type: array
        source_app_id:
          type: string
        source_id:
          type: string
        status:
          type: string
        translations:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.TagTranslations
        updated_at:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.ThirdPartyLink:
      properties:
        created_at:
          type: string
        id:
          type: string
        title:
          type: string
        type:
          type: string
        updated_at:
          type: string
        url:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.ProductTranslations:
      properties:
        description:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
          type: array
        html_description:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
          type: array
        html_short_description:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
          type: array
        meta_description:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
          type: array
        meta_title:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
          type: array
        name:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
          type: array
        short_description:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
          type: array
        slug:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
          type: array
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.VariantGroup:
      properties:
        attributes:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.VariantGroupAttribute
          type: array
        channel_statuses:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.VariantGroupChannelStatus
          type: array
        created_at:
          type: string
        id:
          type: string
        images:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.ImageWithPriority
          type: array
        name:
          type: string
        priority:
          type: integer
        product_id:
          type: string
        slug:
          type: string
        tags:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.ProductTag
          type: array
        translations:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.VariantGroupTranslations
        updated_at:
          type: string
        variants:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.VariantGroupVariant
          type: array
        videos:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Video
          type: array
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.Variant:
      properties:
        attributes:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Attribute
          type: array
        created_at:
          type: string
        custom_fields:
          additionalProperties:
            type: string
          type: object
        id:
          type: string
        images:
          description: Images of the product
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.ImageWithPriority
          type: array
        listings:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.VariantListings
        parent_product_id:
          type: string
        purchase_price:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.PurchasePrice
        shipping_attributes:
          items:
            type: string
          type: array
        source_app_id:
          type: string
        source_id:
          type: string
        status:
          type: string
        store_group:
          description: Product StoreGroup
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.ProductVariantStoreGroupWithPrices
          type: array
        tags:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Tag
          type: array
        translations:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.ProductVariantTranslations
        updated_at:
          type: string
        validate_stock:
          type: boolean
        variant_dimensions:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Dimensions
        variant_group_id:
          type: string
        variant_name:
          type: string
        variant_number:
          type: string
        videos:
          description: Videos of the product
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Video
          type: array
        warehouse_variant_stock:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.WarehouseVariantStock
          type: array
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.Video:
      properties:
        attributes:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Attribute
          type: array
        description:
          type: string
        folder_id:
          type: string
        id:
          type: string
        path:
          type: string
        public:
          type: boolean
        status:
          type: string
        title:
          type: string
        translations:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.VideoTranslations
        variants:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.VideoVariant
          type: array
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.AttributeTranslations:
      properties:
        description:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
          type: array
        name:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
          type: array
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.AttributeValue:
      properties:
        field_id:
          type: string
        id:
          type: string
        image_id:
          type: string
        image_object:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Image
        translations:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.AttributeValueTranslations
        type:
          type: string
        value:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.BrandAddress:
      properties:
        city:
          type: string
        co_address:
          type: string
        country:
          type: string
        house_number:
          type: string
        postal_code:
          type: string
        state_province:
          type: string
        street_address:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.ProductSeries:
      properties:
        id:
          type: string
        name:
          type: string
        slug:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.Category:
      properties:
        attributes:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Attribute
          type: array
        children:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Category
          type: array
        cover_url:
          type: string
        created_at:
          type: string
        google_product_category_id:
          type: string
        id:
          type: string
        name:
          type: string
        parent_id:
          type: string
        redirects:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Redirects
          type: array
        slug:
          type: string
        sort_order:
          description: Used for ordering categories themselves
          type: integer
        status:
          type: string
        translations:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.CategoryTranslations
        updated_at:
          type: string
        uri:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.CategoryTranslations:
      properties:
        name:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
          type: array
        slug:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
          type: array
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.Collection:
      properties:
        children:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Collection
          type: array
        created_at:
          type: string
        id:
          type: string
        parent_id:
          type: string
        redirects:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Redirects
          type: array
        slug:
          type: string
        status:
          enum:
            - active
            - inactive
            - draft
          type: string
        title:
          type: string
        translations:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.CollectionTranslation
        updated_at:
          type: string
        uri:
          type: string
      required:
        - slug
        - status
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.CollectionTranslation:
      properties:
        slug:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
          type: array
        title:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
          type: array
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.FileTranslation:
      properties:
        title:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
          type: array
        type:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
          type: array
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.ImageTranslation:
      properties:
        alt:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
          type: array
        copyright:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
          type: array
        title:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
          type: array
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.RedirectType:
      enum:
        - product
        - page
        - collection
        - category
        - product_bundle
      type: string
      x-enum-varnames:
        - ProductRedirect
        - PageRedirect
        - CollectionRedirect
        - CategoryRedirect
        - ProductBundleRedirect
    github_com_enadhq_nabbit_internal_pkg_webserver_models.RelationProduct:
      properties:
        description:
          type: string
        id:
          type: string
        image_url:
          type: string
        product_name:
          type: string
        product_number:
          type: string
        slug:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.TagTranslations:
      properties:
        name:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
          type: array
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation:
      properties:
        id:
          type: string
        locale:
          type: string
        value:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.VariantGroupAttribute:
      properties:
        attribute_id:
          type: string
        attribute_key:
          type: string
        attribute_name:
          type: string
        template_key:
          type: string
        template_name:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.VariantGroupChannelStatus:
      properties:
        channel_id:
          type: string
        channel_slug:
          type: string
        status:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.VariantGroupTranslations:
      properties:
        name:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
          type: array
        slug:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
          type: array
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.VariantGroupVariant:
      properties:
        id:
          type: string
        status:
          type: string
        variant_name:
          type: string
        variant_number:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.VariantListings:
      properties:
        smart:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.VariantListing
          type: array
        static:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.VariantListing
          type: array
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.PurchasePrice:
      properties:
        currency:
          type: string
        value_cents:
          type: integer
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.ProductVariantStoreGroupWithPrices:
      properties:
        created_at:
          type: string
        id:
          type: string
        name:
          type: string
        prices:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.ProductVariantPrice
          type: array
        slug:
          type: string
        store_type:
          type: string
        updated_at:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.Tag:
      properties:
        attributes:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Attribute
          type: array
        created_at:
          type: string
        filterable:
          type: boolean
        id:
          type: string
        key:
          type: string
        markets:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Market
          type: array
        name:
          type: string
        schedules:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Job
          type: array
        source_app_id:
          type: string
        source_id:
          type: string
        status:
          type: string
        translations:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.TagTranslations
        updated_at:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.ProductVariantTranslations:
      properties:
        name:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
          type: array
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.WarehouseVariantStock:
      properties:
        available_online:
          type: boolean
        created_at:
          type: string
        id:
          type: string
        inventory_date:
          type: string
        quantity:
          type: integer
        updated_at:
          type: string
        warehouse_name:
          type: string
        warehouse_slug:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.VideoTranslations:
      properties:
        description:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
          type: array
        title:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
          type: array
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.VideoVariant:
      properties:
        format:
          type: string
        height:
          type: integer
        url:
          type: string
        width:
          type: integer
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.Image:
      properties:
        alt:
          type: string
        app_id:
          type: string
        attributes:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Attribute
          type: array
        blurhash:
          type: string
        copyright:
          type: string
        custom:
          additionalProperties:
            type: string
          type: object
        folder_id:
          type: string
        id:
          type: string
        parent_id:
          type: string
        public:
          type: boolean
        source_app_id:
          type: string
        source_id:
          type: string
        status:
          type: string
        title:
          type: string
        translations:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.ImageTranslation
        url:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.AttributeValueTranslations:
      properties:
        value:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
          type: array
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.VariantListing:
      properties:
        id:
          type: string
        slug:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.ProductVariantPrice:
      properties:
        amount_cents_with_tax:
          type: integer
        created_at:
          type: string
        id:
          type: string
        market:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Market
        on_sale:
          type: boolean
        reference_price_with_tax:
          type: integer
        sale_end_timestamp:
          type: string
        sale_price_with_tax:
          type: integer
        sale_start_timestamp:
          type: string
        status:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.PriceStatus
        updated_at:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.PriceStatus:
      enum:
        - active
        - inactive
        - draft
      type: string
      x-enum-varnames:
        - ActivePrice
        - InActivePrice
        - DraftPrice

````